Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PolicyManager Interface Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA::PolicyManager:

[legend]
Collaboration diagram for CORBA::PolicyManager:

[legend]
List of all members.

## Public Types
typedef PolicyManager_ptr | _ptr_type
typedef PolicyManager_var | _var_type
## Public Methods
PolicyList | get_policy_overrides (in PolicyTypeSeq ts)
void | set_policy_overrides (in PolicyList policies, in SetOverrideType set_add) raises (InvalidPolicies)
virtual::CORBA::PolicyList * | get_policy_overrides (const CORBA::PolicyTypeSeq &ts ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_policy_overrides (const CORBA::PolicyList &policies, CORBA::SetOverrideType set_add ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , CORBA::InvalidPolicies )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
PolicyManager_ptr | _duplicate (PolicyManager_ptr obj)
PolicyManager_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PolicyManager_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PolicyManager_ptr | _nil (void)
| Return a NULL object. More...
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any. More...
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| PolicyManager (void)
virtual | ~PolicyManager (void)
## Private Methods
| PolicyManager (const PolicyManager &)
void | operator= (const PolicyManager &)

## Member Typedef Documentation

typedef PolicyManager_ptr CORBA::PolicyManager::_ptr_type

| Reimplemented from CORBA_Object. Reimplemented in CORBA::PolicyCurrent.

typedef PolicyManager_var CORBA::PolicyManager::_var_type

| Reimplemented from CORBA_Object. Reimplemented in CORBA::PolicyCurrent.

## Constructor & Destructor Documentation

CORBA::PolicyManager::PolicyManager | ( | void |  | ) | `[protected]`

virtual CORBA::PolicyManager::~PolicyManager | ( | void |  | ) | `[protected, virtual]`

CORBA::PolicyManager::PolicyManager | ( | const PolicyManager & |  | ) | `[private]`

## Member Function Documentation

PolicyManager_ptr CORBA::PolicyManager::_duplicate | ( | PolicyManager_ptr | obj | ) | `[static]`

virtual const char* CORBA::PolicyManager::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object. Reimplemented in CORBA::PolicyCurrent.

PolicyManager_ptr CORBA::PolicyManager::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in CORBA::PolicyCurrent.

PolicyManager_ptr CORBA::PolicyManager::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object. Reimplemented in CORBA::PolicyCurrent.

void CORBA::PolicyManager::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA_Object. Reimplemented in CORBA::PolicyCurrent.

virtual void* CORBA::PolicyManager::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object. Reimplemented in CORBA::PolicyCurrent.

PolicyManager_ptr CORBA::PolicyManager::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in CORBA::PolicyCurrent.

virtual ::CORBA::PolicyList* CORBA::PolicyManager::get_policy_overrides | ( | const CORBA::PolicyTypeSeq &ts | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_Policy_Manager, and TAO_Policy_Current.

PolicyList CORBA::PolicyManager::get_policy_overrides | ( | in PolicyTypeSeq | ts | ) |

void CORBA::PolicyManager::operator= | ( | const PolicyManager & |  | ) | `[private]`

virtual void CORBA::PolicyManager::set_policy_overrides | ( | const CORBA::PolicyList & | policies,
|  | CORBA::SetOverrideType set_add | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , CORBA::InvalidPolicies )`[pure virtual]`

| Reimplemented in TAO_Policy_Manager, and TAO_Policy_Current.

void CORBA::PolicyManager::set_policy_overrides | ( | in PolicyList | policies,
|  | in SetOverrideType | set_add
| ) | raises (InvalidPolicies)

## Member Data Documentation

int CORBA::PolicyManager::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA_Object. Reimplemented in CORBA::PolicyCurrent.

The documentation for this interface was generated from the following files:

- Policy.pidl
- PolicyC.h